"use strict";
var navDropdowns, navDropdownToggles, navSubdropdowns, navSubdropdownToggles, m, divId, initLatitude, initLongitude, map, body = document.body;
window.addEventListener("load", function() {
    document.body.classList.add("loaded")
});
var preloaderType = body.getAttribute("data-preloader");
if ("true" === preloaderType) {
    var e = document.createElement("div");
    e.className = "preloader",
    e.innerHTML = "<div><span></span></div>",
    body.appendChild(e)
}
if (document.querySelector(".header.with-placeholder")) {
    var t = document.createElement("div");
    t.className = "header-placeholder",
    document.querySelector(".header.with-placeholder").insertAdjacentElement("beforebegin", t)
}
var headerMenu = document.querySelector(".header-menu")
  , menuToggle = document.querySelector(".menu-toggle")
  , menuClose = document.querySelector("#menu-close");
menuToggle && menuToggle.addEventListener("click", function() {
    headerMenu.classList.add("show")
}),
headerMenu && (document.addEventListener("click", function(e) {
    !e.target.closest(".header-menu, .menu-toggle") && headerMenu.classList.contains("show") && headerMenu.classList.remove("show")
}),
menuClose.addEventListener("click", function() {
    headerMenu.classList.remove("show")
})),
document.querySelector(".nav-dropdown") && (document.querySelectorAll(".nav-dropdown").forEach(function(e) {
    e.parentNode.insertAdjacentHTML("beforeend", '<a class="nav-dropdown-toggle" href="#"><i class="fa-solid fa-angle-down"></i></a>')
}),
document.querySelectorAll(".nav-dropdown-toggle").forEach(function(e) {
    var t = e.parentNode.querySelector(".nav-dropdown");
    e.addEventListener("click", function(a) {
        e.classList.contains("active") ? (e.classList.remove("active"),
        t.classList.remove("show")) : (e.classList.add("active"),
        t.classList.add("show")),
        a.preventDefault()
    })
}),
document.querySelectorAll(".nav-subdropdown").forEach(function(e) {
    var t = e.parentNode;
    t.querySelector(".nav-dropdown-link").classList.add("sd-toggle"),
    t.insertAdjacentHTML("beforeend", '<a class="nav-subdropdown-toggle" href="#"><i class="fa-solid fa-angle-down"></i></a>')
}),
document.querySelectorAll(".nav-subdropdown-toggle").forEach(function(e) {
    var t = e.parentNode.querySelector(".nav-subdropdown");
    e.addEventListener("click", function(a) {
        e.classList.contains("active") ? (e.classList.remove("active"),
        t.classList.remove("show")) : (e.classList.add("active"),
        t.classList.add("show")),
        a.preventDefault()
    })
}));
var swiper = new Swiper(".portfolio-slider",{
    slidesPerView: 1,
    spaceBetween: 24,
    breakpoints: {
        640: {
            slidesPerView: 1,
            spaceBetween: 24
        },
        768: {
            slidesPerView: 2,
            spaceBetween: 24
        },
        992: {
            slidesPerView: 2,
            spaceBetween: 30
        },
        1200: {
            slidesPerView: 2,
            spaceBetween: 40
        },
        1400: {
            slidesPerView: 2,
            spaceBetween: 50
        }
    },
    navigation: {
        nextEl: ".swiper-portfolio-next",
        prevEl: ".swiper-portfolio-prev"
    }
})
  , swiper = new Swiper(".blog-slider",{
    slidesPerView: 1,
    spaceBetween: 30,
    breakpoints: {
        640: {
            slidesPerView: 1,
            spaceBetween: 24
        },
        768: {
            slidesPerView: 2,
            spaceBetween: 24
        },
        992: {
            slidesPerView: 2,
            spaceBetween: 30
        },
        1200: {
            slidesPerView: 2,
            spaceBetween: 40
        },
        1400: {
            slidesPerView: 2,
            spaceBetween: 50
        }
    },
    navigation: {
        nextEl: ".swiper-blog-next",
        prevEl: ".swiper-blog-prev"
    }
})
  , swiper = new Swiper(".clients-slider",{
    slidesPerView: 2,
    spaceBetween: 30,
    breakpoints: {
        640: {
            slidesPerView: 3,
            spaceBetween: 30
        },
        768: {
            slidesPerView: 4,
            spaceBetween: 40
        },
        998: {
            slidesPerView: 5,
            spaceBetween: 60
        }
    }
})
  , swiper = new Swiper(".testimonial-slider",{
    slidesPerView: 1,
    spaceBetween: 40,
    autoplay: {
        delay: 2500,
        disableOnInteraction: !0
    },
    navigation: {
        nextEl: ".swiper-testimonial-next",
        prevEl: ".swiper-testimonial-prev"
    },
    pagination: {
        el: ".swiper-testimonial-pagination"
    }
})
  , pGrid = $(".portfolio-grid");
if (pGrid.length)
    var mixer = mixitup(".portfolio-grid", {
        selectors: {
            target: ".portfolio-item"
        },
        animation: {
            duration: 250
        }
    });
var $lightboxImage = $(".lightbox-image a");
$lightboxImage.each(function() {
    $(this).magnificPopup({
        type: "image",
        fixedContentPos: !1,
        removalDelay: 200,
        closeOnContentClick: !0,
        image: {
            titleSrc: "data-image-title"
        }
    })
});
var $lightboxVideo = $(".lightbox-video a, .lightbox-video-link");
$lightboxVideo.each(function() {
    $(this).magnificPopup({
        type: "iframe",
        fixedContentPos: !1,
        removalDelay: 200,
        preloader: !1,
        iframe: {
            patterns: {
                youtube: {
                    index: "youtube.com/",
                    id: "v=",
                    src: "//www.youtube.com/embed/%id%?autoplay=1&rel=0"
                },
                vimeo: {
                    index: "vimeo.com/",
                    id: "/",
                    src: "//player.vimeo.com/video/%id%?autoplay=1"
                }
            },
            srcAction: "iframe_src"
        }
    })
}),
$(".animated-progress div").each(function() {
    $(this).appear(function() {
        $(this).css("width", $(this).attr("data-progress") + "%")
    }, {
        accX: 0,
        accY: -10
    })
});
var accordionTitles = document.querySelectorAll(".accordion-title");
accordionTitles.forEach(function(e) {
    e.addEventListener("click", function() {
        var t = e.parentElement
          , a = e.nextElementSibling;
        t.classList.contains("active") ? (t.classList.remove("active"),
        a.style.maxHeight = null) : (t.classList.add("active"),
        e.closest(".accordion").classList.contains("single-open") && (e.closest(".accordion").querySelectorAll("li").forEach(function(e) {
            e.classList.remove("active")
        }),
        t.classList.add("active"),
        e.closest(".single-open").querySelectorAll(".accordion-content").forEach(function(e) {
            e.style.maxHeight = "0"
        })),
        a.style.maxHeight = a.scrollHeight + "px")
    });
    var t = e.parentElement.closest(".accordion");
    if (t.querySelector("li.active")) {
        var a = t.querySelector("li.active .accordion-content")
          , o = a.scrollHeight;
        a.style.maxHeight = o + "px"
    }
});
var mapCanvas = $(".gmap");
if (mapCanvas.length)
    for (var i = 0; i < mapCanvas.length; i++)
        initLatitude = (m = mapCanvas[i]).dataset.latitude,
        initLongitude = m.dataset.longitude,
        divId = "#" + m.id,
        (map = new GMaps({
            el: divId,
            lat: initLatitude,
            lng: initLongitude,
            zoom: 16,
            scrollwheel: !1,
            styles: []
        })).addMarker({
            lat: initLatitude,
            lng: initLongitude
        });
$("#contactform").on("submit", function(e) {
    var t = $("#name").val()
      , a = $("#email").val()
      , o = $("#subject").val()
      , s = $("#message").val();
    ("" === t && $("#name").addClass("error-color"),
    "" === a && $("#email").addClass("error-color"),
    "" === o && $("#subject").addClass("error-color"),
    "" === s) ? $("#message").addClass("error-color") : ($.ajax({
        url: "/assets/php/contact-form.php",
        data: $(this).serialize(),
        type: "POST",
        success: function(e) {
            $("#success").addClass("show-result"),
            $("#contactform").each(function() {
                this.reset()
            })
        },
        error: function(e) {
            $("#error").addClass("show-result")
        }
    }),
    $("#contactform input, #contactform textarea").removeClass("error-color")),
    e.preventDefault()
});
var bgImages = document.querySelectorAll(".bg-image");
bgImages && bgImages.forEach(function(e) {
    var t = e.getAttribute("data-bg-src");
    e.style.backgroundImage = 'url("' + t + '")'
});
var nCounter = document.querySelectorAll(".counter");
nCounter && $(".counter").appear(function() {
    $(this).each(function() {
        $(this).prop("Counter", 0).animate({
            Counter: $(this).text()
        }, {
            duration: 2500,
            easing: "swing",
            step: function(e) {
                $(this).text(Math.ceil(e))
            }
        })
    })
}, {
    accX: 0,
    accY: -10
});
var scrollTopBtn = document.querySelector(".scrolltotop");
scrollTopBtn && (window.addEventListener("scroll", function() {
    window.scrollY > 700 ? scrollTopBtn.classList.add("show") : scrollTopBtn.classList.remove("show")
}),
scrollTopBtn.addEventListener("click", function() {
    window.scrollTo({
        top: 0
    })
})),
scrollCue.init();
