<?php $odno_redux_demo = get_option('redux_demo');?> 
    <!-- Footer -->
    <footer>
        <div class="section-box">
            <div class="section-sm bg-lighter border-radius-1">
                <div class="container">
                    <div class="row g-4 g-lg-5">
                        <div class="col-12 col-lg-4">
                        <?php if ( is_active_sidebar( 'footer-area-1' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-area-1' ); ?>
                        <?php endif; ?>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                        <?php if ( is_active_sidebar( 'footer-area-2' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-area-2' ); ?>
                        <?php endif; ?>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                        <?php if ( is_active_sidebar( 'footer-area-3' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-area-3' ); ?>
                        <?php endif; ?>
                        </div>

                    </div><!-- end row -->
                </div><!-- end container -->
            </div>
        </div>
        <div class="py-4 pb-lg-5">
            <div class="container">
                <div class="row g-2">
                    <div class="col-12 col-md-6 text-center text-md-start">
                        <p><?php if(isset($odno_redux_demo['footer_text'])){?>
                        <?php echo esc_attr($odno_redux_demo['footer_text']);?>
                        <?php }else{?>
                        <?php echo esc_html__( '&copy; 2024 ShTheme, All Rights Reserved.', 'odno' ); } ?></p>
                    </div>
                    <div class="col-12 col-md-6 text-center text-md-end">
                        <?php if ( is_active_sidebar( 'footer-area-4' ) ) : ?>
                        <?php dynamic_sidebar( 'footer-area-4' ); ?>
                        <?php endif; ?>
                    </div>
                </div><!-- end row -->
            </div><!-- end container -->
        </div>
    </footer>
    <!-- end Footer -->

    <!-- Scroll To Top -->
    <div class="scrolltotop">
        <a class="button-circle" href="#">
            <i class="bi bi-arrow-up"></i>
        </a>
    </div>
    <!-- end Scroll To Top -->

    <!-- Background Vertical lines -->
    <div class="bg-lines">
        <div class="bg-line-1"></div>
        <div class="bg-line-2"></div>
        <div class="bg-line-3"></div>
        <div class="bg-line-4"></div>
        <div class="bg-line-5"></div>
    </div>
    <!-- end Background Vertical lines -->
<?php wp_footer(); ?>
<!-- footer-area-end -->
</body>
</html>