<?php 
    while (have_posts()): the_post();
    
?>
<?php $portfolio_select = get_post_meta(get_the_ID(),'_cmb_portfolio_select', true); ?>
<?php  if ($portfolio_select == 'light') { ?>
<?php
   $odno_redux_demo = get_option('redux_demo');
   get_header(); 

?>
<!-- Project Description -->
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-4 fw-normal"><?php the_title();?></h1>
                <p><?php if(isset($odno_redux_demo['portfolio_details_subtitle'])){?>
                    <?php echo esc_attr($odno_redux_demo['portfolio_details_subtitle']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Lorem ipsum, dolor sit amet consectetur adipisicing elit. Reiciendis repellendus sunt nobis eaque. Maxime id accusamus fugit accusantium, quo sit aperiam molestiae blanditiis, optio quidem cumque consequuntur ullam sapiente dolorem.', 'odno' ); } ?></p>
            </div>
        </div><!-- end row -->
        <div class="row g-4 mt-4">
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['services_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['services_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Services', 'odno' ); } ?></h6>
                    <ul class="list-inline-dot">
                        <?php 
                        $cates = get_the_terms(get_the_ID(),'category3');
                        $cate_name = '';
                        $cate_slug = '';
                        $i = 1;
                        foreach((array)$cates as $cate){
                            if(count($cates)>0){
                                $cate_name .= $cate->name.' ';
                                $cate_slug .= $cate->slug.' ';
                            }
                         
                        if ($i == 1){echo ''; }else {echo ' ';}
                            echo '<li class = "cate" >'.$cate->name . ' '.'</li>'; 
                            $i++;
                                
                        }  ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['client_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['client_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Client', 'odno' ); } ?></h6>
                    <span><?php the_author_posts_link(); ?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['duration_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['duration_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Duration', 'odno' ); } ?></h6>
                    <span><?php the_time(get_option( 'date_format' ));?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['project_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Project Link', 'odno' ); } ?></h6>
                    <a class="link-hover" href="<?php if(isset($odno_redux_demo['project_link'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_link']);?>
                    <?php }else{?>
                    <?php echo esc_html__( '#', 'odno' ); } ?>"><?php if(isset($odno_redux_demo['project_info'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_info']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'www.flatheme.net', 'odno' ); } ?></a>
                </div>
            </div>
        </div><!-- end row -->
    </div><!-- end container-->
</div>
<!-- end Project Description -->

<!-- Media -->
<div class="section pt-0">
    <div class="container">
        <?php the_content(); ?>
    </div><!-- end container-->
</div>
<!-- end Media-->

<?php
get_footer();
?>
<?php }else{ ?>
<?php
   $odno_redux_demo = get_option('redux_demo');
   get_header('dark'); 
?>

<!-- Project Description -->
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-4 fw-normal"><?php the_title();?></h1>
                <p><?php if(isset($odno_redux_demo['portfolio_details_subtitle'])){?>
                    <?php echo esc_attr($odno_redux_demo['portfolio_details_subtitle']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Lorem ipsum, dolor sit amet consectetur adipisicing elit. Reiciendis repellendus sunt nobis eaque. Maxime id accusamus fugit accusantium, quo sit aperiam molestiae blanditiis, optio quidem cumque consequuntur ullam sapiente dolorem.', 'odno' ); } ?></p>
            </div>
        </div><!-- end row -->
        <div class="row g-4 mt-4">
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['services_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['services_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Services', 'odno' ); } ?></h6>
                    <ul class="list-inline-dot">
                        <?php 
                        $cates = get_the_terms(get_the_ID(),'category3');
                        $cate_name = '';
                        $cate_slug = '';
                        $i = 1;
                        foreach((array)$cates as $cate){
                            if(count($cates)>0){
                                $cate_name .= $cate->name.' ';
                                $cate_slug .= $cate->slug.' ';
                            }
                         
                        if ($i == 1){echo ''; }else {echo ' ';}
                            echo '<li class = "cate" >'.$cate->name . ' '.'</li>'; 
                            $i++;
                                
                        }  ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['client_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['client_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Client', 'odno' ); } ?></h6>
                    <span><?php the_author_posts_link(); ?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['duration_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['duration_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Duration', 'odno' ); } ?></h6>
                    <span><?php the_time(get_option( 'date_format' ));?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['project_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Project Link', 'odno' ); } ?></h6>
                    <a class="link-hover" href="<?php if(isset($odno_redux_demo['project_link'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_link']);?>
                    <?php }else{?>
                    <?php echo esc_html__( '#', 'odno' ); } ?>"><?php if(isset($odno_redux_demo['project_info'])){?>
                    <?php echo esc_attr($odno_redux_demo['project_info']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'www.flatheme.net', 'odno' ); } ?></a>
                </div>
            </div>
        </div><!-- end row -->
    </div><!-- end container-->
</div>
<!-- end Project Description -->

<!-- Media -->
<div class="section pt-0">
    <div class="container">
        <?php the_content(); ?>
    </div><!-- end container-->
</div>
<!-- end Media-->

<?php
get_footer();
?>    
<?php } ?>

<?php endwhile; ?>