<?php 
    while (have_posts()): the_post();
?>
<?php $post_select = get_post_meta(get_the_ID(),'_cmb_post_select', true); ?>
<?php  if ($post_select == 'light') { ?>
<?php
   $odno_redux_demo = get_option('redux_demo');
   get_header(); 
?>

<!-- Project Description -->
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-4 fw-normal">
                    <?php the_title();?>
                </h1>
                <p><?php if(isset($odno_redux_demo['blog_details_subtitle'])){?>
                    <?php echo esc_attr($odno_redux_demo['blog_details_subtitle']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Lorem ipsum, dolor sit amet consectetur adipisicing elit. Reiciendis repellendus sunt nobis eaque. Maxime id accusamus fugit accusantium, quo sit aperiam molestiae blanditiis, optio quidem cumque consequuntur ullam sapiente dolorem.', 'odno' ); } ?> </p>
            </div>
        </div><!-- end row -->
        <div class="row g-4 mt-4">
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['category_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['category_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Category', 'odno' ); } ?></h6>
                    <ul class="list-inline-dot">
                        <?php 
                        // Show all category for post
                        $i = 1; foreach((get_the_category()) as $category) { 
                        if ($i == 1){echo ''; }else {echo ' ';}
                            echo '<li class = "cate" title="'.$category->name . '" >'.$category->name . ' '.'</li>'; 
                                $i++;
                        } ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['author_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['author_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Posted by', 'odno' ); } ?></h6>
                    <span><?php the_author_posts_link(); ?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['tags_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['tags_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Tags', 'odno' ); } ?></h6>
                    <ul class="list-inline-lg">
                        <?php echo get_the_tag_list('#<li>','#</li><li>','#</li>'); ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['date_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['date_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Posted on', 'odno' ); } ?></h6>
                    <span><?php the_time(get_option('date_format')); ?></span>
                </div>
            </div>
        </div><!-- end row -->
    </div><!-- end container-->
</div>
<!-- end Project Description -->

<!-- Media -->
<div class="section pt-0">
    <div class="container">
        <?php the_content(); ?>
    </div><!-- end container-->
</div>
<!-- end Media-->
<?php
get_footer();
?>
<?php }else{ ?>
<?php
   $odno_redux_demo = get_option('redux_demo');
   get_header('dark'); 
?>

<!-- Project Description -->
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-4 fw-normal">
                    <?php the_title();?>
                </h1>
                <p><?php if(isset($odno_redux_demo['blog_details_subtitle'])){?>
                    <?php echo esc_attr($odno_redux_demo['blog_details_subtitle']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Lorem ipsum, dolor sit amet consectetur adipisicing elit. Reiciendis repellendus sunt nobis eaque. Maxime id accusamus fugit accusantium, quo sit aperiam molestiae blanditiis, optio quidem cumque consequuntur ullam sapiente dolorem.', 'odno' ); } ?></p>
            </div>
        </div><!-- end row -->
        <div class="row g-4 mt-4">
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['category_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['category_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Category', 'odno' ); } ?></h6>
                    <ul class="list-inline-dot">
                        <?php 
                        // Show all category for post
                        $i = 1; foreach((get_the_category()) as $category) { 
                        if ($i == 1){echo ''; }else {echo ' ';}
                            echo '<li class = "cate" title="'.$category->name . '" >'.$category->name . ' '.'</li>'; 
                                $i++;
                        } ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['author_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['author_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Posted by', 'odno' ); } ?></h6>
                    <span><?php the_author_posts_link(); ?></span>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['tags_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['tags_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Tags', 'odno' ); } ?></h6>
                    <ul class="list-inline-lg">
                        <?php echo get_the_tag_list('#<li>','</li>#<li>','</li>'); ?>
                    </ul>
                </div>
            </div>
            <div class="col-12 col-lg-6 col-xl-3">
                <div class="fancy-box">
                    <h6 class="sm-heading"><?php if(isset($odno_redux_demo['date_title'])){?>
                    <?php echo esc_attr($odno_redux_demo['date_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Posted on', 'odno' ); } ?></h6>
                    <span><?php the_time(get_option('date_format')); ?></span>
                </div>
            </div>
        </div><!-- end row -->
    </div><!-- end container-->
</div>
<!-- end Project Description -->

<!-- Media -->
<div class="section pt-0">
    <div class="container">
        <?php the_content(); ?>
    </div><!-- end container-->
</div>
<!-- end Media-->
<?php
get_footer();
?>    
<?php } ?>

<?php endwhile; ?>